curl --location --request POST 'https://staging-api.propaga.io/v1/transaction'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"cornerStoreId": "57b9d911-1c6e-45c0-be98-bfaeec8d9cf8",
"totalAmount": 1234,
"wholesalerTransactionId": "123413123123",
"deliveryDate": "2024-12-31",
"products": [
{
"externalSKU": "7501018310103",
"name": "Pasta Spaghetti La Moderna - Moderna - Paquete 200 g",
"quantity": 5
}
],
"metadata": {}
}'
{
"incrementalID": 999,
"transactionId": "13e8b9f0-b73f-4498-a245-05aaae7893dc",
"verificationId": "561f8ed5-8e90-4b32-9637-4f36a0c66286",
"userPhoneNumber": "****1207"
}
Transaction
Create a transaction
Creates a new transaction and send a verification code to the customer
POST
/
transaction
curl --location --request POST 'https://staging-api.propaga.io/v1/transaction'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"cornerStoreId": "57b9d911-1c6e-45c0-be98-bfaeec8d9cf8",
"totalAmount": 1234,
"wholesalerTransactionId": "123413123123",
"deliveryDate": "2024-12-31",
"products": [
{
"externalSKU": "7501018310103",
"name": "Pasta Spaghetti La Moderna - Moderna - Paquete 200 g",
"quantity": 5
}
],
"metadata": {}
}'
{
"incrementalID": 999,
"transactionId": "13e8b9f0-b73f-4498-a245-05aaae7893dc",
"verificationId": "561f8ed5-8e90-4b32-9637-4f36a0c66286",
"userPhoneNumber": "****1207"
}
When you call this endpoint, we internally perform several validations, including checking the transaction amount, the customer’s status, and their available credit.
curl --location --request POST 'https://staging-api.propaga.io/v1/transaction'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"cornerStoreId": "57b9d911-1c6e-45c0-be98-bfaeec8d9cf8",
"totalAmount": 1234,
"wholesalerTransactionId": "123413123123",
"deliveryDate": "2024-12-31",
"products": [
{
"externalSKU": "7501018310103",
"name": "Pasta Spaghetti La Moderna - Moderna - Paquete 200 g",
"quantity": 5
}
],
"metadata": {}
}'
{
"incrementalID": 999,
"transactionId": "13e8b9f0-b73f-4498-a245-05aaae7893dc",
"verificationId": "561f8ed5-8e90-4b32-9637-4f36a0c66286",
"userPhoneNumber": "****1207"
}
Body
string
required
Propaga’s corner store id
number
required
Total amount of the order
string
Your internal ID for this order
string
An estimated delivery date
json
Any metadata you want to save for the transaction
Response
number
Propaga’s incremental numeric id
string
Propaga’s transaction id
string
Verification id to confirm transaction with a code
string
Masked user’s phone number
Error codes
Corner store not found (404)
{
"errorCode": "CORNER_STORE_NOT_FOUND",
"errorMessage": "Corner store id not found"
}
Amount exceeded the limit credit available (422)
{
"errorCode": "CREDIT_LIMIT_EXCEEDED",
"errorMessage": "The amount exceeded the limit credit available for the user"
}
User is in default (422)
{
"errorCode": "USER_IS_IN_DEFAULT",
"errorMessage": "This user is in default"
}
Transaction amount bellows the minimum required (422)
{
"errorCode": "MINIMAL_TRANSACTION_REQUIRED",
"errorMessage": "You need minimal transaction to process the payment"
}
User not verified (422)
{
"errorCode": "USER_NOT_VERIFIED",
"errorMessage": "This user not verified"
}
Invalid delivery date (422)
{
"errorCode": "INVALID_DELIVERY_DATE",
"errorMessage": "Delivery date has to be a date in the future"
}
User is undergoing internal validations (412)
{
"errorCode": "USER_IS_IN_INTERNAL_VALIDATION",
"errorMessage": "The user is currently in the process of internal validation"
}
Was this page helpful?

